/**
 * Copyright 2016 Google Inc. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

// DO NOT EDIT THIS GENERATED OUTPUT DIRECTLY!
// This file should be overwritten as part of your build process.
// If you need to extend the behavior of the generated service worker, the best approach is to write
// additional code and include it using the importScripts option:
//   https://github.com/GoogleChrome/sw-precache#importscripts-arraystring
//
// Alternatively, it's possible to make changes to the underlying template file and then use that as the
// new base for generating output, via the templateFilePath option:
//   https://github.com/GoogleChrome/sw-precache#templatefilepath-string
//
// If you go that route, make sure that whenever you update your sw-precache dependency, you reconcile any
// changes made to this original template file with your modified copy.

// This generated service worker JavaScript will precache your site's resources.
// The code needs to be saved in a .js file at the top-level of your site, and registered
// from your pages in order to be used. See
// https://github.com/googlechrome/sw-precache/blob/master/demo/app/js/service-worker-registration.js
// for an example of how you can register this script and handle various service worker events.

/* eslint-env worker, serviceworker */
/* eslint-disable indent, no-unused-vars, no-multiple-empty-lines, max-nested-callbacks, space-before-function-paren, quotes, comma-spacing */
'use strict';

var precacheConfig = [["css/app.css","180d727301b897077de692b8fd83859c"],["css/styles.bundle.css","944baa819bfbf81fb3e2efd93f3d3a57"],["fonts/5.9.29.0/lato/css/lato.css","e112b85d0b347ec85d0b9089df154db2"],["fonts/5.9.29.0/lato/css/lato.min.css","b40a619df301259d1281fcb3f82ff9ec"],["fonts/5.9.29.0/lato/fonts/Lato-Black.woff2","33d5f0d956f3fc30bc51f81047a2c47d"],["fonts/5.9.29.0/lato/fonts/Lato-BlackItalic.woff2","0f4fa9755f480e75463e74b3dce5a3ee"],["fonts/5.9.29.0/lato/fonts/Lato-Bold.woff2","cccb897485813c7c256901dbca54ecf2"],["fonts/5.9.29.0/lato/fonts/Lato-BoldItalic.woff2","0b6bb6725576b072c5d0b02ecdd1900d"],["fonts/5.9.29.0/lato/fonts/Lato-Hairline.woff2","ada4458b361d5e72bcbd19da105afdc5"],["fonts/5.9.29.0/lato/fonts/Lato-HairlineItalic.woff2","d9cf517802956cd88eadcb9158aa6dec"],["fonts/5.9.29.0/lato/fonts/Lato-Heavy.woff2","c9cbbdc3762c340d5d37073a54971487"],["fonts/5.9.29.0/lato/fonts/Lato-HeavyItalic.woff2","46f0461b6e19880fe446f094bbe787f4"],["fonts/5.9.29.0/lato/fonts/Lato-Italic.woff2","4eb103b4d12be57cb1d040ed5e162e9d"],["fonts/5.9.29.0/lato/fonts/Lato-Light.woff2","7244318390cc4d36aac4a613ff42d308"],["fonts/5.9.29.0/lato/fonts/Lato-LightItalic.woff2","314210a4825a7cc8ca7db893dfd9d283"],["fonts/5.9.29.0/lato/fonts/Lato-Medium.woff2","0996d39c4cf5d223a14559dfa37047fd"],["fonts/5.9.29.0/lato/fonts/Lato-MediumItalic.woff2","4d295621045bd774d4beed9d6d5796e4"],["fonts/5.9.29.0/lato/fonts/Lato-Regular.woff2","bd03a2cc277bbbc338d464e679fe9942"],["fonts/5.9.29.0/lato/fonts/Lato-Semibold.woff2","8b4f872c5de19974857328d06d3fe48f"],["fonts/5.9.29.0/lato/fonts/Lato-SemiboldItalic.woff2","80f6811f6c30735dab68a01372d8b78f"],["fonts/5.9.29.0/lato/fonts/Lato-Thin.woff2","0faa1074c17a74a7f5e32cbe6f9d76f3"],["fonts/5.9.29.0/lato/fonts/Lato-ThinItalic.woff2","880cffe4febaa7476b6aee71db68b7e4"],["fonts/5.9.29.0/ubnt-icon/fonts/ubnt.woff2","e03ebf905505f8e29538144a7a74c3c2"],["fonts/5.9.29.0/ubnt-icon/style.css","acdedc1864706e7ec7158e5b85027d09"],["fonts/5.9.29.0/ubnt-lato/style.css","5b4920935531a2094fdfae6402a9bb21"],["fonts/fontawesome-webfont.woff2","af7ae505a9eed503f8b8e6982036873e"],["images/badges/app-store-badge.png","cf5d6f7e0618fdf8bd52645bf83ca52a"],["images/badges/google-play-badge.png","38336d0e0726315c96c7bb15372b98ae"],["images/clientDevices/AppleTV.png","ad647c0087af9d1c592c00661c25b19a"],["images/clientDevices/Droid.png","091c2f07bbf45ad37721e0efb2036b60"],["images/clientDevices/MacBook.png","ab86563842b0404c929d5245c58c7f29"],["images/clientDevices/MacBookAir.png","62e38009de7f1f396164ac8e9abbc151"],["images/clientDevices/MacBookPro.png","f8efb8c520a037d4c5685d963df91864"],["images/clientDevices/iMac.png","af8747c11ed4ce820db0168222bdd769"],["images/clientDevices/iPhone.png","430a0358828108f01bf72200025595ae"],["images/clientDevices/iPod.png","0d04ff9903c437e14170a0f6d0658982"],["images/dashboard/bar-chart-negative.png","3e0c10d1aab90a7ab5cc95a58feecd4c"],["images/dashboard/bar-chart-negative@2x.png","1c3632ab887ef7419eb1e5b4a9f34198"],["images/dashboard/bar-chart.png","40ca86cc4fd254deb00bca280cf155e9"],["images/dashboard/bar-chart@2x.png","b66821b4a354c8c084317a88afb46458"],["images/dashboard/channel-distribution.png","8e3b35cfda17b0d89654dec9eaf5621f"],["images/dashboard/channel-distribution@2x.png","8fe96406417cf9674f0f3ba6d1b7136a"],["images/dashboard/donut-chart.png","1db4b57fc652eabc5e9cf1d3cf63a1c7"],["images/dashboard/donut-chart@2x.png","7bc10628af94dc280d8195782c30cb5f"],["images/dashboard/dot-chart.png","38c6193da03d404a854cdaf1222e8a7d"],["images/dashboard/dot-chart@2x.png","34a6764477cbed3ee6cf7a98eb37f0c8"],["images/dashboard/health-bar.png","c7a63c3304fc059ee68dbc0d3e2e2643"],["images/dashboard/health-bar@2x.png","0033563597ce57a0120b1b0e1fbe4d57"],["images/dashboard/line-chart.png","676574e9f1a4bf2559b8e3ec9e2a3674"],["images/dashboard/line-chart@2x.png","40d50976728116ada06ce16f59ae6aec"],["images/dashboard/list-with-donut.png","487a4619b47474a0c345d8af36faed6f"],["images/dashboard/list-with-donut@2x.png","70b23be433bd45dc84c9096542609e50"],["images/dashboard/placeholder.png","aff97e5d3b8906e48dad17f6bcc1ce73"],["images/dashboard/placeholder@2x.png","4c77874375e05ba67863bcc626c4269c"],["images/dashboard/port-power.png","f2607e5667c482c2f92466579a2177bc"],["images/dashboard/port-power@2x.png","29cad907d84b621db0bf82868e298c27"],["images/dashboard/port-usage.png","c923b580e4e073a83ba90b17fbdb689c"],["images/dashboard/port-usage@2x.png","9b67ee161fc87edcf5c9f665f7202799"],["images/dashboard/speed-test.png","b7b6008f7c5fd70423cc99c95962b2b0"],["images/dashboard/speed-test@2x.png","fab110d7b835cfed4250a2767ca36756"],["images/dashboard/summary.png","21c967fbf4658c80caa0f7abcc3fecc8"],["images/dashboard/summary@2x.png","c9acb72537de0cbd80728a5d3a6c48ef"],["images/dashboard/table.png","9a8b5c70f5d95f9ab36a55c2972d44f9"],["images/dashboard/table@2x.png","428b0e174e5773c683ed99c394a5b5f4"],["images/dashboard/top-clients.png","aa1acaf7332588174293fc396f19b8e3"],["images/dashboard/top-clients@2x.png","b90096e4600c929c115be99a05ce5136"],["images/dashboard/top-devices-uap.png","a17e574b9f22a9ad145d757721d7bb97"],["images/dashboard/top-devices-uap@2x.png","c785a85cf29fb52abdcbfabe432d8645"],["images/dashboard/top-devices-usw.png","9b48db750f44a4d9111f376b6dd6a42d"],["images/dashboard/top-devices-usw@2x.png","f01b26cf53e0eb99ba67983bf7231a32"],["images/dashboard/top-items.png","751bbcef6451fd09f62cc1cbf6bf6ba1"],["images/dashboard/top-items@2x.png","beaff21ef0856a8cae0c206fc0c28c10"],["images/dashboard/utilization.png","bf76f1f94a4d7033d3c43516441e5983"],["images/dashboard/utilization@2x.png","3369c291d44eeb5c81023a9d498b4496"],["images/dashboard/wifi-metrics.png","8ac9a368e2f087a7d486183292b19b80"],["images/dashboard/wifi-metrics@2x.png","1224499ebfd0eda9c9e9df30577404eb"],["images/devices/ua/UMAD/static.png","6a6fdb9d1a416203974704166376573c"],["images/devices/ua/UMAD/static@2x.png","adec21acfdf8c2abc5ff3e07618a6038"],["images/devices/uap/BZ2/danger.png","b0e4ea0f983bcb5cf64fb9306e302f63"],["images/devices/uap/BZ2/danger@2x.png","12b51835effb2acd7111b4b6e46406e3"],["images/devices/uap/BZ2/static.png","977b1853883b55735c411578065c4df4"],["images/devices/uap/BZ2/static@2x.png","7a437a515378a82067e2441e09dd3b37"],["images/devices/uap/BZ2/success.png","a04701a2417a599d3bfbe1f4a378f987"],["images/devices/uap/BZ2/success@2x.png","9e3a94965eeda6000ce4c9a32745261b"],["images/devices/uap/U2HSR/danger.png","c454460891191c3fd44a5f22536c438e"],["images/devices/uap/U2HSR/danger@2x.png","9acbb4b5acbee1475994f6e4788460a6"],["images/devices/uap/U2HSR/static.png","d928d02d24e4c1a85f8a5f961f427ff3"],["images/devices/uap/U2HSR/static@2x.png","6f499826e9e25c90711ece5f67fc715b"],["images/devices/uap/U2HSR/success.png","6de1c1a5b9bee451cf6b2908aa54bf23"],["images/devices/uap/U2HSR/success@2x.png","c653e77a1a4c9fc60cf7da8f6a8dbccd"],["images/devices/uap/U2IW/danger.png","53cd0a9bafdc84a691ffb2dbd9f24ef8"],["images/devices/uap/U2IW/danger@2x.png","84796d17cd2a8fed2fd5251deabf0037"],["images/devices/uap/U2IW/static.png","eee2804d041925500e0c8c28b29ad2ce"],["images/devices/uap/U2IW/static@2x.png","1c0f4778b3ca55cc7c7b2dd6e386afea"],["images/devices/uap/U2IW/success.png","561ff361d624be4c449f93b0e69816b8"],["images/devices/uap/U2IW/success@2x.png","42357b3944a1b6524e6c22725bdf8266"],["images/devices/uap/U2O/danger.png","d22b0028b22c736f6e60b2a1b69fc90e"],["images/devices/uap/U2O/danger@2x.png","e8edea4b5f0247c90d331c7ddc63e8c8"],["images/devices/uap/U2O/static.png","074cb4252a8657331891c5b083accec1"],["images/devices/uap/U2O/static@2x.png","cd9cf0df01d08beb7dc0f5f8ec477aa3"],["images/devices/uap/U2O/success.png","71b1ceb43bb646b6c49e00479ce9dcfe"],["images/devices/uap/U2O/success@2x.png","b76fb24050168ded9b9c3a23458f164f"],["images/devices/uap/U7E/danger.png","b8162395da037a06806e09976d73901b"],["images/devices/uap/U7E/danger@2x.png","8944f0a6e0cf8eacda95bdb2081c1fd8"],["images/devices/uap/U7E/static.png","66bc01e64c78e55b89e033c01ef74e1a"],["images/devices/uap/U7E/static@2x.png","bc28005e99b41a7ea594cf3e2d628345"],["images/devices/uap/U7E/success.png","f1893cd721783874cdc66cfd6f51e3a1"],["images/devices/uap/U7E/success@2x.png","34db8a651461fe21851f6fb5a6afc256"],["images/devices/uap/U7EDU/danger.png","24cf67b42b4a4885b239b8b5bbfeed13"],["images/devices/uap/U7EDU/danger@2x.png","eef518848033a2099c6747e1c277057f"],["images/devices/uap/U7EDU/static.png","5967f40f92a2a3df8c68b99fac5276f4"],["images/devices/uap/U7EDU/static@2x.png","b1a93f4a96ae510cbde5629fdcbdfc06"],["images/devices/uap/U7EDU/success.png","d6121021d5ab417eea35620a5b744ec8"],["images/devices/uap/U7EDU/success@2x.png","c22311281977e92840a368dc5acda129"],["images/devices/uap/U7IW/danger.png","e3dec7f9b6e824c561057f7a59a72e86"],["images/devices/uap/U7IW/danger@2x.png","61b6cf43bda153b42be6ce8d5edc1714"],["images/devices/uap/U7IW/static.png","055362288185738b5f5cf16627e9118c"],["images/devices/uap/U7IW/static@2x.png","fbfcf353f56166533b7a6e49e12ab721"],["images/devices/uap/U7IW/success.png","28db9acd9a8e1707d90be0df3d2fda39"],["images/devices/uap/U7IW/success@2x.png","e509306a6bf1c5d578fa1ccad64a940a"],["images/devices/uap/U7IWP/danger.png","e3dec7f9b6e824c561057f7a59a72e86"],["images/devices/uap/U7IWP/danger@2x.png","61b6cf43bda153b42be6ce8d5edc1714"],["images/devices/uap/U7IWP/static.png","055362288185738b5f5cf16627e9118c"],["images/devices/uap/U7IWP/static@2x.png","fbfcf353f56166533b7a6e49e12ab721"],["images/devices/uap/U7IWP/success.png","28db9acd9a8e1707d90be0df3d2fda39"],["images/devices/uap/U7IWP/success@2x.png","e509306a6bf1c5d578fa1ccad64a940a"],["images/devices/uap/U7MSH/danger.png","8c7397d12107a560a473d621af30c02d"],["images/devices/uap/U7MSH/danger@2x.png","8e9612d01d9135e3e0320324522852f5"],["images/devices/uap/U7MSH/static.png","04ababfdf4e38eb32bc4a52bd9bfeffd"],["images/devices/uap/U7MSH/static@2x.png","3cbcbe0bcf8e81520d9a29db8b9fd35e"],["images/devices/uap/U7MSH/success.png","30f120c691d9899289bbaf8dd1b8e46d"],["images/devices/uap/U7MSH/success@2x.png","8ea92f62c498407bf3f6decd2fc60f5e"],["images/devices/uap/U7O/danger.png","f53f5257a1c06344325b118eb8409374"],["images/devices/uap/U7O/danger@2x.png","c0b31dc191c079065b49225505419f21"],["images/devices/uap/U7O/static.png","6181139b7456bee994eb069eb2e4f88a"],["images/devices/uap/U7O/static@2x.png","645f2267df6f12ce074abd7d1b89543d"],["images/devices/uap/U7O/success.png","6b28b32dfb42fe65d8b86095ff369e40"],["images/devices/uap/U7O/success@2x.png","835435215b5ebe3030e49f0fbc6af10c"],["images/devices/uap/UXBSDM/danger.png","b5802b2065f1fb6160e19473ef45f8f6"],["images/devices/uap/UXBSDM/danger@2x.png","84516836499e330ade41ca6c0522d8dc"],["images/devices/uap/UXBSDM/static.png","0cb858820e2eaffb092dd04b7fb94fcb"],["images/devices/uap/UXBSDM/static@2x.png","1bad238695839eee3d996c578e9cad77"],["images/devices/uap/UXBSDM/success.png","051213ce8376a4e32daaf089c9ba0a07"],["images/devices/uap/UXBSDM/success@2x.png","646ca800c51a75a69ff9a86ecb66ded9"],["images/devices/uap/UXSDM/danger.png","5a9530c2c0f0f88be446b3d3f07a294f"],["images/devices/uap/UXSDM/danger@2x.png","da3374a8107f85e070a1ce8d84810638"],["images/devices/uap/UXSDM/static.png","4165dbd806ee089460e1ad7a74e8dde8"],["images/devices/uap/UXSDM/static@2x.png","3ea17a11a8618d225b536c38b56ce5b8"],["images/devices/uap/UXSDM/success.png","84ea40ab32bc9498d0ab2328e6fd15b8"],["images/devices/uap/UXSDM/success@2x.png","b5d74a5c31a3bf98129c42be2d2ff947"],["images/devices/uap/default/danger.png","f8cabc08457a9480c8b168f643023f00"],["images/devices/uap/default/danger@2x.png","c3d0d483ac199111763f552e7f8251dc"],["images/devices/uap/default/static.png","0fe32f8523dfadc6194c67a4ccf4a281"],["images/devices/uap/default/static@2x.png","2203875f4d552df80c9b6fc6eec1a694"],["images/devices/uap/default/success.png","43958032dc007333a1d106b3278583ad"],["images/devices/uap/default/success@2x.png","c64b6faf194579b1bb53208acc9fafe7"],["images/devices/uap/missing/danger.png","3ff97710d8433595a216d81fb856c3a2"],["images/devices/uap/missing/danger@2x.png","75161fcf4e66fdb3d014197a0b060c0a"],["images/devices/uap/missing/static.png","7764df261355c4a068fb003a4a7de4e6"],["images/devices/uap/missing/static@2x.png","bc05435780945549c7a1c6c24b2298d7"],["images/devices/uap/missing/success.png","54f697dbfd173b446cc42c9094edebdb"],["images/devices/uap/missing/success@2x.png","4184ee8eab51226ec0dca980c7f5cd19"],["images/devices/uap/p2N/danger.png","1067189de45ad5f5a27262761cba2aaa"],["images/devices/uap/p2N/danger@2x.png","a7580fd316cb82c327617544e6b509df"],["images/devices/uap/p2N/static.png","c11384de63a0d8d9b2fe80d9ef5a9c34"],["images/devices/uap/p2N/static@2x.png","71a43ac3b7f9b36e356de3eded4c5a75"],["images/devices/uap/p2N/success.png","bc714946bfaa7ebff8e5693226fb0d45"],["images/devices/uap/p2N/success@2x.png","61182718fe7508c430d707d2fcb5f552"],["images/devices/uas/UAS/static.png","90b982cb81b8fb597b118b50936f4406"],["images/devices/uas/UAS/static@2x.png","c76596ef35bda81ce199d1a40c634865"],["images/devices/uas/UCK/static.png","d125fccb97d68a8dfb50048cc68865e7"],["images/devices/uas/UCK/static@2x.png","0654f98eca66cedd0e10d0173f788135"],["images/devices/ugw/UGW3/danger.png","1bf65cc562a2235723983d6693c7ddc7"],["images/devices/ugw/UGW3/danger@2x.png","c0278172a82efb27e10eddebd6398185"],["images/devices/ugw/UGW3/static.png","cd9e2dc31443175073d60d4819e4229d"],["images/devices/ugw/UGW3/static@2x.png","06650ee031708451a19778901b8df351"],["images/devices/ugw/UGW3/success.png","735e3c05e828340f23a4bf7dd0c66caa"],["images/devices/ugw/UGW3/success@2x.png","4136c7ed738cd3cdc63d80c9f8e8ba63"],["images/devices/ugw/UGW4/danger.png","bd41404707c7f220abba63bde7783189"],["images/devices/ugw/UGW4/danger@2x.png","e0787083c50e734dbe51c797a127aa4b"],["images/devices/ugw/UGW4/static.png","8cf226f8a26dad2072944d603648d31c"],["images/devices/ugw/UGW4/static@2x.png","a7ccd1f23f5d399a2ef1bb723f9ac9f5"],["images/devices/ugw/UGW4/success.png","bf5a35e8c7d7dad468110bb09c2ad7a3"],["images/devices/ugw/UGW4/success@2x.png","a82486db947565b37f05906751a8bb7d"],["images/devices/ugw/UGWXG/danger.png","aa1a53bc165a856ffebe8dd989d45791"],["images/devices/ugw/UGWXG/danger@2x.png","e0b6a75908b2d30ad922140feccb1fe5"],["images/devices/ugw/UGWXG/static.png","06580c95a8084839309f62549bbc8747"],["images/devices/ugw/UGWXG/static@2x.png","6d79f49e3b32402e0dea76f4dd446635"],["images/devices/ugw/UGWXG/success.png","95c2878bb01ea245dd6591e1dea3c611"],["images/devices/ugw/UGWXG/success@2x.png","192a1911b330925ccb69832296c21e9e"],["images/devices/ugw/missing/danger.png","1bf65cc562a2235723983d6693c7ddc7"],["images/devices/ugw/missing/danger@2x.png","c0278172a82efb27e10eddebd6398185"],["images/devices/ugw/missing/static.png","cd9e2dc31443175073d60d4819e4229d"],["images/devices/ugw/missing/static@2x.png","06650ee031708451a19778901b8df351"],["images/devices/ugw/missing/success.png","735e3c05e828340f23a4bf7dd0c66caa"],["images/devices/ugw/missing/success@2x.png","4136c7ed738cd3cdc63d80c9f8e8ba63"],["images/devices/usw/US16/danger.png","bedd8daa16ae98eab6b8be878653d075"],["images/devices/usw/US16/danger@2x.png","7272ec474eaee090ab0223b5c0f63b74"],["images/devices/usw/US16/static.png","226ef5972486a030264391cd261776e5"],["images/devices/usw/US16/static@2x.png","4cd45e58681ddb3be9c19997e1e699f0"],["images/devices/usw/US16/success.png","e18bf513ab1f9fa7f428b056d3fa0666"],["images/devices/usw/US16/success@2x.png","465cb4891974169df92020305c89298f"],["images/devices/usw/US24/danger.png","bdd140b71ab9623ce238219fb35672d5"],["images/devices/usw/US24/danger@2x.png","d4281ede8523efba20c2b68e6a530d39"],["images/devices/usw/US24/static.png","c3ed8b97b724fb4c26e01409c2c433eb"],["images/devices/usw/US24/static@2x.png","68456bc27535dc08caed54644c5d1630"],["images/devices/usw/US24/success.png","e4c7c97c9e3827c738465e67d7d33c2e"],["images/devices/usw/US24/success@2x.png","948a976e056eee031e0e877c58051734"],["images/devices/usw/US48/danger.png","830e786e3938f8ccc37a91913f0500f9"],["images/devices/usw/US48/danger@2x.png","2d4f8fde2055ff4efe8aa13ad332a117"],["images/devices/usw/US48/static.png","c6b324982af9ac262c2b0bbef0ccf506"],["images/devices/usw/US48/static@2x.png","6f42193d163010820690954c7e7b4a8d"],["images/devices/usw/US48/success.png","38dc7d5333af37f3bafb348a57ac6b7b"],["images/devices/usw/US48/success@2x.png","3717cf1ca71c024c6c4e6ba0f379f61d"],["images/devices/usw/US8/danger.png","39ccefa7da6fbed035c40fba2c4dce24"],["images/devices/usw/US8/danger@2x.png","d96e29887ec8887de8a2be747b52aeaf"],["images/devices/usw/US8/static.png","a6d251aa1612f80224e5a61871957616"],["images/devices/usw/US8/static@2x.png","910cedf5b1fda36cf0e5e28fb6d4f356"],["images/devices/usw/US8/success.png","18218c4bded523fa19aa0458c3716005"],["images/devices/usw/US8/success@2x.png","92f2b2edb6a3e857b2e19af22cb1eb72"],["images/devices/usw/USXG/danger.png","5dcf92e336a0130944e87055742134c9"],["images/devices/usw/USXG/danger@2x.png","92267450ac22e2d04b3fef781ab4f0f3"],["images/devices/usw/USXG/static.png","bb54b02538dbf34089efd98f9cb7e70c"],["images/devices/usw/USXG/static@2x.png","177b6194aa782db2f15424a7e2a93ae2"],["images/devices/usw/USXG/success.png","745548cb3bfdc68b9c2012c9c5a852dc"],["images/devices/usw/USXG/success@2x.png","a4560bbaa8debb64cfddc6823a4aeec4"],["images/devices/usw/missing/danger.png","830e786e3938f8ccc37a91913f0500f9"],["images/devices/usw/missing/danger@2x.png","2d4f8fde2055ff4efe8aa13ad332a117"],["images/devices/usw/missing/static.png","c6b324982af9ac262c2b0bbef0ccf506"],["images/devices/usw/missing/static@2x.png","6f42193d163010820690954c7e7b4a8d"],["images/devices/usw/missing/success.png","38dc7d5333af37f3bafb348a57ac6b7b"],["images/devices/usw/missing/success@2x.png","3717cf1ca71c024c6c4e6ba0f379f61d"],["images/diagrams/port-discarding.svg","67feaa206a41f0be93c542bf81dbd3b4"],["images/diagrams/port-mirror.svg","8b420e5c78360d361a07e26eade4aba7"],["images/diagrams/port-network.svg","0323124605ef070351dfb67136503319"],["images/diagrams/port-poe-plus.svg","250d2081d343f68526107d20df8ba4d2"],["images/diagrams/port-poe.svg","9688babdc4d8d212e3722ad7f3e735eb"],["images/diagrams/port-shield.svg","00bd4db63e2d37a5d091b4c67c444ec4"],["images/diagrams/port-spacer-round.png","3856d49a1d5ca0032f110216f05e4795"],["images/diagrams/port-spacer.png","2db20cc89fd216c9ced41b5b2c58db7e"],["images/diagrams/port-uplink.svg","245b17238a65b8ad1d8ba23eed78769f"],["images/diagrams/port-warning.svg","9d79e85b58fd7adcd71b3a2898b76f14"],["images/favicons/favicon-120.png","0dbbe5e946b790cb11224ecf2b6f8fc9"],["images/favicons/favicon-144.png","8238fa82152140a528e86d99abeb0bf1"],["images/favicons/favicon-152.png","1014d63e3142a57ab77a00d06a03ab7d"],["images/favicons/favicon-32.png","ac1f3fa868cc9a96071da28b69124d8a"],["images/favicons/favicon-57.png","d812dbe1ee4f5ee7e4049e304bf00a6f"],["images/favicons/favicon-72.png","0967e55c95944a58b80deddcc0d5dd33"],["images/flags/4x3/ad.svg","ead7604352750854830d85e8ff04b722"],["images/flags/4x3/ae.svg","d8741634e4a86ffe02a108e45498b2e8"],["images/flags/4x3/af.svg","da6dc167c9127f1583741c83d39bb8c2"],["images/flags/4x3/ag.svg","55985ed530db7c7c40a671619af195b8"],["images/flags/4x3/ai.svg","867c186790e2d74a2efb0cbb61d47f8e"],["images/flags/4x3/al.svg","cabcd9428187ae9f97a99584d708ad9e"],["images/flags/4x3/am.svg","57c71f36f31fa4e886667bc94a4fcabf"],["images/flags/4x3/ao.svg","65de3f08ebc8ad3008b006375d7f5f83"],["images/flags/4x3/aq.svg","21ec1b9cfdf276c9f0c8aefecd20a765"],["images/flags/4x3/ar.svg","d66bd9e8fc562c886c0759cacc00c6c8"],["images/flags/4x3/as.svg","4c21826658a383cc144ac89e75e6a5c2"],["images/flags/4x3/at.svg","dc0cdb42dc20dd5dc8b4058c6c28fee9"],["images/flags/4x3/au.svg","579af05f36cb2f96e164c63e22606e3b"],["images/flags/4x3/aw.svg","f631ae0a06ec235884e1e175a021615e"],["images/flags/4x3/ax.svg","4ef22d97f5fb1933ba5dc701e0b5f1a3"],["images/flags/4x3/az.svg","f0dc79332d817d84f1cd3267a040d95b"],["images/flags/4x3/ba.svg","b236191189c551b7ddef2adb0779a507"],["images/flags/4x3/bb.svg","0a122f40c806a9166950b929b59c0441"],["images/flags/4x3/bd.svg","6bc03e5ad9aab5e324807c21e0f7bbb1"],["images/flags/4x3/be.svg","3e206ccbb11cd7d04387b0e2f29df54a"],["images/flags/4x3/bf.svg","d5ebc19353470d2ea7e5fa2d865550c6"],["images/flags/4x3/bg.svg","247feeba256834febc346d95e04c06da"],["images/flags/4x3/bh.svg","44ef7f2dd40e12472e7cdd0dcbcaa13b"],["images/flags/4x3/bi.svg","aec32be8c48da35fbf39772a63c0d7db"],["images/flags/4x3/bj.svg","e0fd9acd9568b79f4df7f5c6f6ebdead"],["images/flags/4x3/bl.svg","6bc0921ef738cb4b672acb048c21a6e2"],["images/flags/4x3/bm.svg","3c3a4bb2d510ff5ccecb999e95a62358"],["images/flags/4x3/bn.svg","8f92a2a68334a67d2cfba565a816a9ee"],["images/flags/4x3/bo.svg","b867573646ad241e0e82808eb9dd84b1"],["images/flags/4x3/bq.svg","2c52a7ba7c1658031e3e55cf264642f7"],["images/flags/4x3/br.svg","1a59cea1ca6c94fb6c002051e20533c8"],["images/flags/4x3/bs.svg","d7739402948c852f6f685540c85a60f4"],["images/flags/4x3/bt.svg","ba78c82bac7649a0c63c89f7950474e1"],["images/flags/4x3/bv.svg","335d777fa31a877793a2520ea048db3b"],["images/flags/4x3/bw.svg","3019b8273dca4fabaf2c67d451eb6668"],["images/flags/4x3/by.svg","c37b472cd7ef632b0eaa1b46d4b235a7"],["images/flags/4x3/bz.svg","54bf457314ccf5c2a7a4c8ef39c94312"],["images/flags/4x3/ca.svg","17ac187479e079896009c8f2900a9442"],["images/flags/4x3/cc.svg","df17cb00cf50998da66c244ddcb2d23c"],["images/flags/4x3/cd.svg","8316eaf85e1b582631910c4e4a293924"],["images/flags/4x3/cf.svg","20a25c2a0f3c744ff3b9e133df4565f8"],["images/flags/4x3/cg.svg","2e89ed7eb0dce087e021edd06b0a8fc0"],["images/flags/4x3/ch.svg","c493a4ec2d35da65b3a656390db526d5"],["images/flags/4x3/ci.svg","18fced232aeb321d64ac8c5b3e3733f9"],["images/flags/4x3/ck.svg","842fc3e12f6a270482e50fdd631a51d8"],["images/flags/4x3/cl.svg","6aff5a4286b65d44e6fe53bc11cee3cd"],["images/flags/4x3/cm.svg","af072c01315e29b979025c09353345ef"],["images/flags/4x3/cn.svg","5e5918ff26c8dc904745af3aeb4e9f23"],["images/flags/4x3/co.svg","bfda7e8633026f5e10d6d11bac9b824c"],["images/flags/4x3/cr.svg","60862cdff2aab42fc1b43c90a65c307a"],["images/flags/4x3/cu.svg","15dee695d6497c30e1f83c077770d24d"],["images/flags/4x3/cv.svg","e7a576cf6bf34b7adb5d404a56c05e51"],["images/flags/4x3/cw.svg","42b4e8a5fd80b849f1f4313922873fe9"],["images/flags/4x3/cx.svg","a3a129f1df821437ca084f13d8da4bf3"],["images/flags/4x3/cy.svg","805568ece5c335fe6e26eb10e4f6d200"],["images/flags/4x3/cz.svg","b68729d8d515b1d12493c05a38105081"],["images/flags/4x3/de.svg","a51d522f51a9ff106d1d884207381ac2"],["images/flags/4x3/dj.svg","9e5f122aaf950e25000cb94eae151c1e"],["images/flags/4x3/dk.svg","6d3fd354327f82e2482c06af2eb20007"],["images/flags/4x3/dm.svg","26eebc61eaf81cade452551d987b815b"],["images/flags/4x3/do.svg","b458ed8d22464a6c8ffaf07540183cea"],["images/flags/4x3/dz.svg","cbc327cb4d7f10549cd9187e0246735c"],["images/flags/4x3/ec.svg","a5936cd548051de7f86c90e06e6c16d4"],["images/flags/4x3/ee.svg","800c650ff6f97d2241e1b310275e5a0c"],["images/flags/4x3/eg.svg","6b3ede5793ddf47b63167ea67fbc0418"],["images/flags/4x3/eh.svg","a23d3ca17d227332ff6e3157ec206232"],["images/flags/4x3/er.svg","87023ff79de0566b63d1642c58077e43"],["images/flags/4x3/es-ct.svg","d045e295dd6b06deeb7fddec01b6ac06"],["images/flags/4x3/es.svg","2d0caa1aed39c950dcf333d1743c29b5"],["images/flags/4x3/et.svg","c7a568b5f21766056d88219851adaf56"],["images/flags/4x3/eu.svg","47ccbce8f7d9d1d31fdd5a256771be67"],["images/flags/4x3/fi.svg","ed0d202ebd956f9a43ac7656fc58710d"],["images/flags/4x3/fj.svg","06a2a0a58e44dcc78ef34e92e242c4f5"],["images/flags/4x3/fk.svg","9afe00c857c5319cad44d0ea28523175"],["images/flags/4x3/fm.svg","158c1a992d5b42bcb82fbd2967fc0a25"],["images/flags/4x3/fo.svg","b2a83814fafefbd6e39bdb81acd4d9c6"],["images/flags/4x3/fr.svg","5f045d2c03d6685f33c425bb74f0f745"],["images/flags/4x3/ga.svg","94225722ca66ba829ebee2c108d50250"],["images/flags/4x3/gb-eng.svg","f337dc2cc5a01b4b9912b4549405f715"],["images/flags/4x3/gb-nir.svg","bca162fd093b9fd677bdf4f15b8c1cbd"],["images/flags/4x3/gb-sct.svg","6caf73b85f168b7cd0523dd2043ec787"],["images/flags/4x3/gb-wls.svg","bcc948923469b70a294a77b2c1a34b6f"],["images/flags/4x3/gb.svg","26f575fe296c9b674549e93fea06d8a0"],["images/flags/4x3/gd.svg","3fcac19b93e79ae66f34da80547bc073"],["images/flags/4x3/ge.svg","616a9f1efe5aff68116345c8ef5f7e1c"],["images/flags/4x3/gf.svg","0c190d1854cb4ed9a7e34bdc282496d4"],["images/flags/4x3/gg.svg","bb803fec93f6a41ce021df95a90460a3"],["images/flags/4x3/gh.svg","beaf26e1e0de9a07517ccfafb656fb1b"],["images/flags/4x3/gi.svg","6d2c289a78a14191b2faaec9279a667c"],["images/flags/4x3/gl.svg","16733452da55ad341d0d637e23009dab"],["images/flags/4x3/gm.svg","ad71e49941a9065a84b94dd40b7d6f71"],["images/flags/4x3/gn.svg","7136fba9f5b793e51e33350ef30dc332"],["images/flags/4x3/gp.svg","dc2fad88ca87db5166b46f8ac9b2182f"],["images/flags/4x3/gq.svg","c0f67260c94f192c655a4484318e3354"],["images/flags/4x3/gr.svg","8559fb8bbb9ff9bb22a972bddf51a5bb"],["images/flags/4x3/gs.svg","ffdcf7e8d78e8419706f0c825479b726"],["images/flags/4x3/gt.svg","b484cf21cb05fdd295ba18f13d25fe9a"],["images/flags/4x3/gu.svg","b89b682e94d718be001f544483d4b748"],["images/flags/4x3/gw.svg","1e33dcd6a30a206d8873d91480963de1"],["images/flags/4x3/gy.svg","6373016d482c0ed8582448e9090d71cf"],["images/flags/4x3/hk.svg","378ff44b6717238130325c4416447693"],["images/flags/4x3/hm.svg","a6b406b9f619a9a3cb1eb9df3d790495"],["images/flags/4x3/hn.svg","538bcb99e9d790fc992157216d44032a"],["images/flags/4x3/hr.svg","563d3c098909c8a7a82dcc147b6fb5b7"],["images/flags/4x3/ht.svg","439ff5b2b8fdf93f21b3ef676f1d1cfc"],["images/flags/4x3/hu.svg","1f258db54d2a5257781309a5c54290cf"],["images/flags/4x3/id.svg","55e54db0b08500ba8a4a016f7d4e7d0d"],["images/flags/4x3/ie.svg","00653f909b612952dd4d32d437a02fe1"],["images/flags/4x3/il.svg","6450d895d0f1a0ea626d40265f70cb78"],["images/flags/4x3/im.svg","f359e4af84de97a367e87d427313fc92"],["images/flags/4x3/in.svg","b55580fd2987295c3f1f3909780f5ece"],["images/flags/4x3/io.svg","c3a9a34773e5569364ad1c5c0cc24367"],["images/flags/4x3/iq.svg","3e39395d782d1961297d984db84e0288"],["images/flags/4x3/ir.svg","58c78eab9893258a3eec750b61a47521"],["images/flags/4x3/is.svg","bf6e98c2efd8b85f8921611acdcaccd5"],["images/flags/4x3/it.svg","39d095fb23c8c0711c4d751be52d08da"],["images/flags/4x3/je.svg","ae6abe6ee98a4eb818f1b6527de197fd"],["images/flags/4x3/jm.svg","bb9c65575ac265f7a8a8fdb24311b781"],["images/flags/4x3/jo.svg","4ac727e7097953f473d17024b2ebfb2f"],["images/flags/4x3/jp.svg","abf6d360f1ce110eac8caac22254b1b1"],["images/flags/4x3/ke.svg","28bffdde1a329b0a4c797ed8013ec427"],["images/flags/4x3/kg.svg","7f25fc523485b48b19ed7394ca232f52"],["images/flags/4x3/kh.svg","9e206ef9fe85c4a790f8612ad4a6065f"],["images/flags/4x3/ki.svg","f9be0945c0c31343af5bfd34f488d92f"],["images/flags/4x3/km.svg","73fc71a894571b5685788d852c361f90"],["images/flags/4x3/kn.svg","262dffc882723a0bee7792f7753451e5"],["images/flags/4x3/kp.svg","bd080ebda2380014e4a6c60f407b9bde"],["images/flags/4x3/kr.svg","4e13befd09e8cca76ad07a4e8f504bf5"],["images/flags/4x3/kw.svg","d8c09028cceb723aa8903e120da60d0c"],["images/flags/4x3/ky.svg","f5d9d8099bfa0afa1bfd04ce2d114d4d"],["images/flags/4x3/kz.svg","0e744e4eb3a9efbb061af4838b54be82"],["images/flags/4x3/la.svg","6db54baef1fa3ff10827e9a1da038df9"],["images/flags/4x3/lb.svg","818a91491ea14b453b185d2fed0a10d1"],["images/flags/4x3/lc.svg","1f8cb28310803c5403cd7eddbb352aa2"],["images/flags/4x3/li.svg","5c6e91bd4340ba0cf51e1d3a93ab892e"],["images/flags/4x3/lk.svg","f4106211fb7b6945992a4ae10335e409"],["images/flags/4x3/lr.svg","5ed045da005850deda4a7b6b2ce5b081"],["images/flags/4x3/ls.svg","bfa2f1853606f6edd30da0624a8cee8a"],["images/flags/4x3/lt.svg","759bbeac0726fba03d6f208c25954539"],["images/flags/4x3/lu.svg","1ac4d60fdc5d1a5a5301232288745b87"],["images/flags/4x3/lv.svg","dbff071864a6a98786d3b9128472bd9a"],["images/flags/4x3/ly.svg","f75b16b4fefbe798b389971193477e7f"],["images/flags/4x3/ma.svg","07997bbe2c28ebe7d7147f0ceb7db6ed"],["images/flags/4x3/mc.svg","749e995c8a06aface57f11ac3b130b2d"],["images/flags/4x3/md.svg","bba429bfd66b68572749fd0539d02bb9"],["images/flags/4x3/me.svg","dadc0f0c71a322e3a86d3933477e0631"],["images/flags/4x3/mf.svg","d2d3f46a2a41ea58c46d91ed34717555"],["images/flags/4x3/mg.svg","f2a14d46487d3233e04ac8484ce6b6eb"],["images/flags/4x3/mh.svg","d44b1528ab772ca7ad92f5dc02dd8ad5"],["images/flags/4x3/mk.svg","d1cfe0c7498bcee9bbf2f2561fa582b0"],["images/flags/4x3/ml.svg","7d0a81ea51f7c8bcea39849e81d358fd"],["images/flags/4x3/mm.svg","fa18e4a39dc868ba4f81eb1c50fbf437"],["images/flags/4x3/mn.svg","1c60e25046d622fe0fbb493c9f325663"],["images/flags/4x3/mo.svg","2cf849c3b8c4d03ed474fa6e6304a378"],["images/flags/4x3/mp.svg","9f377cb996052eee3e51c3d86a5e9509"],["images/flags/4x3/mq.svg","be16d4d44f4e024306e278821a08f061"],["images/flags/4x3/mr.svg","eadf639dd7b67c8929b5f12340f36a91"],["images/flags/4x3/ms.svg","80d6b397a363c6f6f72faf11aa063a7b"],["images/flags/4x3/mt.svg","d6eccaefeabe5a23ea031fd5691d8c22"],["images/flags/4x3/mu.svg","f30f99d861697d3d35dae44f920dbd62"],["images/flags/4x3/mv.svg","5091e702d7b07df0516932b2b9217c5d"],["images/flags/4x3/mw.svg","f9e36b314f894f6548099e8324dccf43"],["images/flags/4x3/mx.svg","2101146e7a1d0058002bc8303fa3f6d2"],["images/flags/4x3/my.svg","190d4872ea77fd594ab646cd4352610a"],["images/flags/4x3/mz.svg","90037d6e7247498ad604df4a41bdf87d"],["images/flags/4x3/na.svg","24e7fe9c36a31d93ccf3d5ae8dc7a9a0"],["images/flags/4x3/nc.svg","c5187b82ae7b063645b974c9248d2970"],["images/flags/4x3/ne.svg","01cfd5bde9001a352cd4a6143b279058"],["images/flags/4x3/nf.svg","14aaa3ef0619b2aec242490ff969f8fb"],["images/flags/4x3/ng.svg","580254d5f1f539469ac0e5d95ccf696e"],["images/flags/4x3/ni.svg","5830a76a5a18a4213e014203898f5586"],["images/flags/4x3/nl.svg","79e47ea071eac5e65a98d2668058a4da"],["images/flags/4x3/no.svg","d3c5a0b63293e819244d0fcd5fb5da4e"],["images/flags/4x3/np.svg","a9421038f16721c2eb7bb573c23d4d2e"],["images/flags/4x3/nr.svg","6bd0e7deb464b9101117c40baf2abbf5"],["images/flags/4x3/nu.svg","dc7a2b144aa6f2c9f75f2ee82f8af7ec"],["images/flags/4x3/nz.svg","248dbad199c8c02029b568d12b1ac53c"],["images/flags/4x3/om.svg","2ebf43af103747c3fe806a40a38119dd"],["images/flags/4x3/pa.svg","ced4a2429212cbc1782a9564e20b1454"],["images/flags/4x3/pe.svg","f0816c3791b8a179e60eff271565eedb"],["images/flags/4x3/pf.svg","d7a9350101ec7e7281df687e075eb6f4"],["images/flags/4x3/pg.svg","068910e28d2c2ebd9f0c3d6490b04dea"],["images/flags/4x3/ph.svg","b7bec49ebea8d097c7fd7e48330fbfbf"],["images/flags/4x3/pk.svg","2fddfea38f20d0430a8136667d46ffe9"],["images/flags/4x3/pl.svg","0ca345e74b8998dfeac2892cbd5ef6dd"],["images/flags/4x3/pm.svg","deb31e6c56626ee1e5cbab0a0d4258f1"],["images/flags/4x3/pn.svg","e56155c19e2ef1686be7d35be88ab294"],["images/flags/4x3/pr.svg","346139ed2d06d13179f69d82659be9d9"],["images/flags/4x3/ps.svg","04f55893fb0db05a971a18d85fd8d2e8"],["images/flags/4x3/pt.svg","3c410042f938c619c2a911b259cf7ee9"],["images/flags/4x3/pw.svg","8bfbafe299926b7dfcb9e4fb3e3de683"],["images/flags/4x3/py.svg","b79561133db5b7e34df73940bd5514f8"],["images/flags/4x3/qa.svg","567371af3e42c97d7fe57e45cd08b7bb"],["images/flags/4x3/re.svg","db8d6956acd6dd1facea2ddcd743f3d9"],["images/flags/4x3/ro.svg","64515b6acf97e7622d7857fc14824652"],["images/flags/4x3/rs.svg","9926aca85269f2fb4adf98284c3bacba"],["images/flags/4x3/ru.svg","eb6d841867bbe8124e76b4ab52c37575"],["images/flags/4x3/rw.svg","ad9eee21e450c5829c33b6f00295fe53"],["images/flags/4x3/sa.svg","6cc2f890489cf9d91aaf960d6ff2597c"],["images/flags/4x3/sb.svg","9b02d1c70d8f6d7f89410d72b8f68bb7"],["images/flags/4x3/sc.svg","c5f77013599d77e5aab3a779b3346874"],["images/flags/4x3/sd.svg","b91bc7d2baad8d0289fa6aee3c0ab0a6"],["images/flags/4x3/se.svg","0f303b3ad226f968a7a30ef40eef96c9"],["images/flags/4x3/sg.svg","08622d7eb6d171d01420060c253adcd1"],["images/flags/4x3/sh.svg","db2ed663a84b5352efe9bbd58fd477fa"],["images/flags/4x3/si.svg","59516929daeff68cb8ba25c0549de2c4"],["images/flags/4x3/sj.svg","209f1a8d818af80e6aaec5362a5a02b7"],["images/flags/4x3/sk.svg","daee0d7f906b57a5845ee312bc31ebc4"],["images/flags/4x3/sl.svg","e22f0ea32ebaf61529c465471864542f"],["images/flags/4x3/sm.svg","6b9322fe38345236c244e7218b383845"],["images/flags/4x3/sn.svg","66286418e68851efe155cfdf086726f3"],["images/flags/4x3/so.svg","c76d906b5cfe5747dc6156a0b1673b6a"],["images/flags/4x3/sr.svg","2db9d92e339e09c9940d0ea4b2143455"],["images/flags/4x3/ss.svg","395040018fa5185b052db9b2437c5790"],["images/flags/4x3/st.svg","dafd1b54df700dd343f6bbb65af83762"],["images/flags/4x3/sv.svg","d634f9a62464280ad55f5d0d6467d38b"],["images/flags/4x3/sx.svg","cb86d088b9f7f56bc59e2dfd9e8ff6d0"],["images/flags/4x3/sy.svg","02b9a07aa64c4d2e9f673690793e5f25"],["images/flags/4x3/sz.svg","aeb0c7ef487d9d43e48bca34cbf7724f"],["images/flags/4x3/tc.svg","8f88612b4aece8d809cdff824448bf24"],["images/flags/4x3/td.svg","7a610abba83b0cf4f67812da2cf37de7"],["images/flags/4x3/tf.svg","4ac80a535c75f2c6fee0c6d2569104c6"],["images/flags/4x3/tg.svg","b48a780a708f6da5a3dd575f1b7e743a"],["images/flags/4x3/th.svg","878917557221eb03ea926b992db62c11"],["images/flags/4x3/tj.svg","fa81647ac8dd6579eb08d9f09c453670"],["images/flags/4x3/tk.svg","f2c3a640eb1839ebc69ec539044271f5"],["images/flags/4x3/tl.svg","64f3c7e06067474536c7204b48aa6ae0"],["images/flags/4x3/tm.svg","8e52383f0c611e135b73071389ebe865"],["images/flags/4x3/tn.svg","64df31502fa4ba79f0cc003b3a44b153"],["images/flags/4x3/to.svg","11bd964db3e8812e9408bdeb54c57f5d"],["images/flags/4x3/tr.svg","a275961fe22fa7f6bb91f9001a7635e2"],["images/flags/4x3/tt.svg","c9d438bf86053fabe9ae605f264890db"],["images/flags/4x3/tv.svg","5c596d5c967dd441b9f8bd6f46766787"],["images/flags/4x3/tw.svg","3101336bb502c7d0026fb62f017f9dcf"],["images/flags/4x3/tz.svg","5cff96bc6c95762c4bd7607f34767f1b"],["images/flags/4x3/ua.svg","3697c94335c666cd98ece05cea3d7f09"],["images/flags/4x3/ug.svg","cd35ef48321ecdc1f0aae0cd879ddf36"],["images/flags/4x3/um.svg","deb31d4981af4e8af57b5f0acf4aa25b"],["images/flags/4x3/un.svg","cd3d61b637da2319e2f1d127983a975d"],["images/flags/4x3/us.svg","2e9ea4b086912b20973cc1e2369b14fb"],["images/flags/4x3/uy.svg","e2e873b3daca3a05879a226013daf264"],["images/flags/4x3/uz.svg","89825e1582a049aa87f643dadfe8cc13"],["images/flags/4x3/va.svg","ccbda5d3825e050f97bd103f5302acf2"],["images/flags/4x3/vc.svg","7c2e07c3722d86c539eedb53600a68ba"],["images/flags/4x3/ve.svg","3b30a1633d9dd7d6c0389f60cfccd5f6"],["images/flags/4x3/vg.svg","42724b9781dece199ef7826a3d743abf"],["images/flags/4x3/vi.svg","77f0687e785991234457d35c494cc6ee"],["images/flags/4x3/vn.svg","0ec325e5bc3238d7d6de35e8bdcd7930"],["images/flags/4x3/vu.svg","ef7409f3446bda2b2295bb298bf6196a"],["images/flags/4x3/wf.svg","ebb0ffa4c1381a6e0fbeb6b8a5284246"],["images/flags/4x3/ws.svg","ff22c667f27eb7d68da7722a18d81f6a"],["images/flags/4x3/ye.svg","b1c4636f7817a04a86b63dad484955b5"],["images/flags/4x3/yt.svg","f1d1f1f583dff323cec247202bd16e9b"],["images/flags/4x3/za.svg","d8aeb6ed60c73bf3dbcad0597de3c449"],["images/flags/4x3/zm.svg","726a5564726903783e9842820a1a20cb"],["images/flags/4x3/zw.svg","363a3e2a9c323bf3030bc5b4caf8a758"],["images/header-brand-icon.png","5c97994cd916bd885c6f8f001637e035"],["images/install-discovery.png","d44762e1cb8ee40824dc96060bf7cb15"],["images/modules/statusMegaModule/default/clients.png","54ef49993d1c46e8283644cd342f6777"],["images/modules/statusMegaModule/default/clients@2x.png","b55b92d68b0df576367148811e990077"],["images/modules/statusMegaModule/default/guests.png","10a9a6506855b2536f3e129f781b4b5e"],["images/modules/statusMegaModule/default/guests@2x.png","ee3c68230c128567d2bc9a9f6cee0ac2"],["images/modules/statusMegaModule/default/internet-0.png","ab0fe09239afcdf31bdf896e97f4f34f"],["images/modules/statusMegaModule/default/internet-0@2x.png","824e609902b35339edb92561448864eb"],["images/modules/statusMegaModule/default/internet-10.png","89f0bd76aab74c3d6b8549a2fd1bb79e"],["images/modules/statusMegaModule/default/internet-100.png","fad4415ff20d5fa6207f12b0c39e2df1"],["images/modules/statusMegaModule/default/internet-100@2x.png","197bf34f00bccb3dd46ffbcd77cfb53a"],["images/modules/statusMegaModule/default/internet-10@2x.png","796272d9ecd7c64238b8aa4192267699"],["images/modules/statusMegaModule/default/internet-20.png","38cddb198f97c35fb9f77fb6d43e19c2"],["images/modules/statusMegaModule/default/internet-20@2x.png","78de29c7bbe367bcc2e7df15b3c41132"],["images/modules/statusMegaModule/default/internet-30.png","f5bfa53145bf6aa8a70b3f514413de58"],["images/modules/statusMegaModule/default/internet-30@2x.png","d322f9b4a5c7f4949e4792a580cc2a8c"],["images/modules/statusMegaModule/default/internet-40.png","2f358ae85f1f3b7223dcdd59e196af6a"],["images/modules/statusMegaModule/default/internet-40@2x.png","06c85be23390f3f7b19755cd7a9c9f2d"],["images/modules/statusMegaModule/default/internet-50.png","52c26f0ed46e89d33094ef50860b4b39"],["images/modules/statusMegaModule/default/internet-50@2x.png","58b2ee7096fb61dde9bdb2c68682bb12"],["images/modules/statusMegaModule/default/internet-60.png","9115dc89014b3b9f06b60709f1c94e42"],["images/modules/statusMegaModule/default/internet-60@2x.png","4c0c35751755a002e5f3b05d4d207440"],["images/modules/statusMegaModule/default/internet-70.png","8252371aafdc366484a5b47250f3d8b9"],["images/modules/statusMegaModule/default/internet-70@2x.png","d34247f38674951b130bfe7a9ce5c87f"],["images/modules/statusMegaModule/default/internet-80.png","71d3aa4a0d463ead810bd26a835eded8"],["images/modules/statusMegaModule/default/internet-80@2x.png","a37580abcc12d1864c9f80e950aa4421"],["images/modules/statusMegaModule/default/internet-90.png","8cc4f8d14747cb3ec7118567bffe26ed"],["images/modules/statusMegaModule/default/internet-90@2x.png","df669df820dcd3201e4d6b991aed9117"],["images/modules/statusMegaModule/default/iot.png","abf2a3ef2dccc5f0a00811aeccb92cdd"],["images/modules/statusMegaModule/default/iot@2x.png","4e091b211be49da5217b7db3bef7925c"],["images/modules/statusMegaModule/default/uap-big.png","68d5f3f31278e25497886353b238cdea"],["images/modules/statusMegaModule/default/uap-big@2x.png","4f8315e5fb659bbb5b38fe81f3d08e03"],["images/modules/statusMegaModule/default/uap.png","454d5eac703ee9e9c680c77542e72aad"],["images/modules/statusMegaModule/default/uap@2x.png","9945ced7db17b3af77f01594780e1da9"],["images/modules/statusMegaModule/default/usg-0.png","917de78ac64c3548157b5bc09c91960e"],["images/modules/statusMegaModule/default/usg-0@2x.png","bbcb301cf0a1a595003206b450438b89"],["images/modules/statusMegaModule/default/usg-10.png","b62a3c2065a7f952a5be27f1f994bd2a"],["images/modules/statusMegaModule/default/usg-100.png","7189ba4d5add6fedaf6daf8062bbe330"],["images/modules/statusMegaModule/default/usg-100@2x.png","a85c34b3eff072d2d2292553bddbeddd"],["images/modules/statusMegaModule/default/usg-10@2x.png","df3a438819423f1091a4b25fdbea155d"],["images/modules/statusMegaModule/default/usg-20.png","c06e3bd7e21387d8c98cfc27fed7563a"],["images/modules/statusMegaModule/default/usg-20@2x.png","d14825b312ee475fdde5fb8e7953c8b3"],["images/modules/statusMegaModule/default/usg-30.png","027361abd02983784bd9ab4774577526"],["images/modules/statusMegaModule/default/usg-30@2x.png","5ed1d3cd594e51f150748b292f91a617"],["images/modules/statusMegaModule/default/usg-40.png","79b560fe98d885ac80621b5e9798f307"],["images/modules/statusMegaModule/default/usg-40@2x.png","60f21008e8a146e3bf89b2e17abe7c08"],["images/modules/statusMegaModule/default/usg-50.png","db76f683a3dce1ab25893fb8a4207447"],["images/modules/statusMegaModule/default/usg-50@2x.png","ee6fb8c62a1ee3ef3838fb7fa01c0acb"],["images/modules/statusMegaModule/default/usg-60.png","1e9f43110574f4b4be0443413f641718"],["images/modules/statusMegaModule/default/usg-60@2x.png","11f292e1c956cfa673c65b8470ebb03f"],["images/modules/statusMegaModule/default/usg-70.png","38205bbb5b974b8f29c2e171cdbdb2f4"],["images/modules/statusMegaModule/default/usg-70@2x.png","8367ca0a11d999389dbb4babba6e9864"],["images/modules/statusMegaModule/default/usg-80.png","64c50baaaf3f3220ce51dbe350a0dafc"],["images/modules/statusMegaModule/default/usg-80@2x.png","adc5b51cfbb08a09e15c81ea198471bc"],["images/modules/statusMegaModule/default/usg-90.png","4fa0d8a06975ea913a9d194cd6a6d396"],["images/modules/statusMegaModule/default/usg-90@2x.png","25a3361703ac0d2d697541733642f1ee"],["images/modules/statusMegaModule/default/usw.png","524626de385e523a2ace5db8e08a2768"],["images/modules/statusMegaModule/default/usw@2x.png","b224bdb0232801826997f9915c935bbe"],["images/modules/statusMegaModule/large/clients.png","b8f4741b458a5fe53a30035487f4f2d1"],["images/modules/statusMegaModule/large/clients@2x.png","02c0a0f3eac8043df2d2cb06679c4ebb"],["images/modules/statusMegaModule/large/guests.png","3b5d15899bf1c2574caecb797b8489f0"],["images/modules/statusMegaModule/large/guests@2x.png","e28c59d8b81aa0cf0093727fb366ab2b"],["images/modules/statusMegaModule/large/internet-0.png","d1ba453304efe8ead0e269d9f8eb49f6"],["images/modules/statusMegaModule/large/internet-0@2x.png","1e1f62a4ad6555981d1d7ab551739580"],["images/modules/statusMegaModule/large/internet-10.png","fa17afbb457fc3de33c545f7e8cd826c"],["images/modules/statusMegaModule/large/internet-100.png","ef833c3565dbcb4fc16453fc84f8007a"],["images/modules/statusMegaModule/large/internet-100@2x.png","da9db2c0d35b6028ab046370205ffca8"],["images/modules/statusMegaModule/large/internet-10@2x.png","323569a780da6257ce005ec6744fbf73"],["images/modules/statusMegaModule/large/internet-20.png","409e4c187f34fac49cae87727accd898"],["images/modules/statusMegaModule/large/internet-20@2x.png","1d8ff038b4c1b908fc6c978dfeba8bc6"],["images/modules/statusMegaModule/large/internet-30.png","27229e098efadddba259b3f0fd0ddb2d"],["images/modules/statusMegaModule/large/internet-30@2x.png","f30fa9d1183175933a8e4099d0af9c95"],["images/modules/statusMegaModule/large/internet-40.png","2700ce9b50fa4444b3b4a9713f30d46e"],["images/modules/statusMegaModule/large/internet-40@2x.png","b7719dd1388157d18dbe58feb6920746"],["images/modules/statusMegaModule/large/internet-50.png","83692949cb783fcbe6f9bf9bce664edc"],["images/modules/statusMegaModule/large/internet-50@2x.png","387a34b59b18f4b4ae3d4e2144bff882"],["images/modules/statusMegaModule/large/internet-60.png","fc06f4b09986b688eff7209c62b86513"],["images/modules/statusMegaModule/large/internet-60@2x.png","95271ac46a09e210bd4980f5e5966069"],["images/modules/statusMegaModule/large/internet-70.png","92643836f959de5cbfdc00b073eee6b6"],["images/modules/statusMegaModule/large/internet-70@2x.png","e7ce28f49efa63771e82ae7a659d4bc1"],["images/modules/statusMegaModule/large/internet-80.png","a30dbe424ab6961c11cb1a5640d3f0e9"],["images/modules/statusMegaModule/large/internet-80@2x.png","bd3eddedbf0f8a053e7ec0e6f0047add"],["images/modules/statusMegaModule/large/internet-90.png","df0aac15c88ddccfc26034006a040d8a"],["images/modules/statusMegaModule/large/internet-90@2x.png","786cb71632ef0415d12dd0d14c0bc821"],["images/modules/statusMegaModule/large/iot.png","27e38753bccb9eed97ac2416646a3f20"],["images/modules/statusMegaModule/large/iot@2x.png","41b220446c8d6090c850c514342ebb3d"],["images/modules/statusMegaModule/large/uap.png","8aef447f3c80628d888335194195b71a"],["images/modules/statusMegaModule/large/uap@2x.png","fd1ded068383360ab6352ee16fed1a67"],["images/modules/statusMegaModule/large/usg-0.png","e17c3812a40c47c2c02d4bdf8d29c0b4"],["images/modules/statusMegaModule/large/usg-0@2x.png","790a96f55ec637715bb9f3cac4bbdf5d"],["images/modules/statusMegaModule/large/usg-10.png","0e519037843dd4fced95ff8a42bb2ae5"],["images/modules/statusMegaModule/large/usg-100.png","c2efa64940a0c7790df76f2a07f28858"],["images/modules/statusMegaModule/large/usg-100@2x.png","d649b39b7e12a944e6d3059e4e65a23c"],["images/modules/statusMegaModule/large/usg-10@2x.png","fdee4035ef19e4fbfbab791841f70bcd"],["images/modules/statusMegaModule/large/usg-20.png","0ea335a71c07021c922c4be20a489c6c"],["images/modules/statusMegaModule/large/usg-20@2x.png","48a5a5c65080882f58c178cad409c4fb"],["images/modules/statusMegaModule/large/usg-30.png","9c625c453957837861da7a5c48df3b45"],["images/modules/statusMegaModule/large/usg-30@2x.png","5325dff8b5ded4984ee4cf7d0f76a893"],["images/modules/statusMegaModule/large/usg-40.png","a37fe62123864e2e9032e6fe71718d41"],["images/modules/statusMegaModule/large/usg-40@2x.png","8185acdc49f1e9c9dbba2291150f6184"],["images/modules/statusMegaModule/large/usg-50.png","bca38bc0b800286df1d625effcb47d11"],["images/modules/statusMegaModule/large/usg-50@2x.png","1632fadd5462e5915a331a5ed420dfd4"],["images/modules/statusMegaModule/large/usg-60.png","6908cf3ca227571d37d45edfe0cde729"],["images/modules/statusMegaModule/large/usg-60@2x.png","53b623ff8e24b066c33c0454d761102b"],["images/modules/statusMegaModule/large/usg-70.png","b20316b7d82c0257984b5eaba88756a4"],["images/modules/statusMegaModule/large/usg-70@2x.png","8faaaa49af44415bde674dd195503628"],["images/modules/statusMegaModule/large/usg-80.png","03f1c4ba3db32e929f9683ff032e8ef8"],["images/modules/statusMegaModule/large/usg-80@2x.png","a987313a69d7d8377468ee57ff4b697f"],["images/modules/statusMegaModule/large/usg-90.png","5b8bdadfd094dfb58d981caf14224587"],["images/modules/statusMegaModule/large/usg-90@2x.png","d0fbbf603168b95367892b1a7980c5ec"],["images/modules/statusMegaModule/large/usw.png","926e51faba34b8753f1310652f5c6738"],["images/modules/statusMegaModule/large/usw@2x.png","35f316e271fc49011109b57908529731"],["images/topology-background.jpg","7dac4c677bd788797a972d094f62dd41"],["index.hotspot.html","025edd7420f5d39fe72c2e56ce8b0a15"],["index.html","c039bb10b53390b1a2d704b1d4df19d4"],["index.overview.html","ea8035ac156f04cfef9ec8718104f2f4"],["js/components.js","53e015ee25e3dcc7fde866e20a13730e"],["js/main.hotspot.js","c58475f2861d390109e770f978ebc3e9"],["js/main.manage.js","60d7473ec20584454242f8d80ba32cad"],["js/main.overview.js","59d64588d7b62aca3dcecd8694e1805f"],["locales/en/account.json","f43ab3cf3d3f4cf5072bffa2b3cce956"],["locales/en/calendarView.json","bdadebf7cea4380ac4680560718f76eb"],["locales/en/clients.json","c87e793363959405e94e830be32d8d58"],["locales/en/common.json","51cef8fd02e753215ffd661d41c1d353"],["locales/en/countries.json","3ce3fe31309d084cbc224694b2d5b8a2"],["locales/en/dashboard.json","0ab61032cd839bce8d9ec5b1e0b3146b"],["locales/en/dashboardFilters.json","d4a057298c479cc15920a74526803746"],["locales/en/dashboardModules.json","337851edaac53d0dcda2b7b8357d5882"],["locales/en/devices.json","b419926a5bfac87a272169bbfa054edc"],["locales/en/dpiApplicationStatistics.json","7304af3be76bdf1c9d03d7c97fb9d484"],["locales/en/dpiApps.json","1e25f4ade8e3700d5b551bab44f7a27c"],["locales/en/dpiCategories.json","3f1ec7b28fa3cd3fb92126e5068afcf2"],["locales/en/dpiOverview.json","11eb125ff6dbf6b02edf9671e5e6dcb7"],["locales/en/dpiRestrictions.json","663e3f4e759334e93b9fc95222990c99"],["locales/en/dpiUserStatistics.json","0fcb9b3451681a0f63940985274f7b90"],["locales/en/dpiUsers.json","78c4a16178c788bd06dfd1f7c4835791"],["locales/en/dynamicDnsStats.json","980577674a1a972806ff823abac0dc27"],["locales/en/eventLabels.json","5aa4d2be1c9f7a8c1d6253f15b29760a"],["locales/en/eventStrings.json","7576377f36456f32ae8bede120207685"],["locales/en/events.json","d9074af92398b646f74f422a89de0ea1"],["locales/en/fatal.json","d14511759c3c88a018624a08f0c89c00"],["locales/en/firewall.json","b4eaf4f31615a9e49cf796e86408bc89"],["locales/en/guests.json","302ed5d312c5d12db236f156b795ff4f"],["locales/en/hotspot.json","b6acc9b8ff97a73d684e8cbd306f60ab"],["locales/en/hotspotAnalytics.json","689a42e254411fe1f60c6ed1899246c2"],["locales/en/insights.json","6d819302b8208823677b7d0865954736"],["locales/en/ips.json","2758f8ef8f8bbc247ec84d5f96389972"],["locales/en/isp.json","30c23008651f6e6bfdc8b26599d57720"],["locales/en/knownClients.json","233597efcb090d066d705e9dba301d06"],["locales/en/languages.json","457cae179ca6189c315a22dfb4c805a0"],["locales/en/logs.json","e607e8e71ab3fb6438f6f8e959b1a60d"],["locales/en/maps.json","69b1e7470e0a9a618655b2d0e38da602"],["locales/en/modules.json","f00ccf79bedd00b24f49fe7d7aefe5e3"],["locales/en/neighboringAccessPoints.json","56308ae12b4e6fb4f598130572c2fa9b"],["locales/en/operators.json","ed4b37717cdc5e7cf97845b220df8b25"],["locales/en/overview.json","f97ac1844cc1d1fe94865ae8ec8586f1"],["locales/en/pastConnections.json","284e372e41815eb84c71ce24cd9d3fb3"],["locales/en/pastGuestAuthorizations.json","08b36cb3303106d51e1a9b286b77a278"],["locales/en/portForwardStats.json","1be9a6100acae164dc513c35b40b90a6"],["locales/en/propertyPanel.json","86c92c60fdaec32ac10c9c416a87e4a1"],["locales/en/remoteUserVpn.json","c27e769a2318cebb7783f8564bbc1ca3"],["locales/en/routing.json","3145865b8689657aaadda07598b3a3e4"],["locales/en/settings.json","ad1a88e438a8344a264b345c22065af6"],["locales/en/statistics.json","f6639f798fde8d159f702aa66814e773"],["locales/en/store.json","3c218b950d7be4b974c0351f4b9a2f82"],["locales/en/streams.json","0054847890c7dfcf718957969f0e3e52"],["locales/en/switchStats.json","8c9e8008859612b1d62c2ecb67563b27"],["locales/en/transactions.json","706f3b8ee10ba1a846f4ce3f4a2e2a3b"],["locales/en/vouchers.json","a9bde2a889c822c1df2db4851b5ef46f"],["locales/en/wizard.json","2fdacfb195407c8db520af3e259e75cb"]];
var cacheName = 'sw-precache-v3-unifi-' + (self.registration ? self.registration.scope : '');


var ignoreUrlParametersMatching = [/./];



var addDirectoryIndex = function (originalUrl, index) {
    var url = new URL(originalUrl);
    if (url.pathname.slice(-1) === '/') {
      url.pathname += index;
    }
    return url.toString();
  };

var cleanResponse = function (originalResponse) {
    // If this is not a redirected response, then we don't have to do anything.
    if (!originalResponse.redirected) {
      return Promise.resolve(originalResponse);
    }

    // Firefox 50 and below doesn't support the Response.body stream, so we may
    // need to read the entire body to memory as a Blob.
    var bodyPromise = 'body' in originalResponse ?
      Promise.resolve(originalResponse.body) :
      originalResponse.blob();

    return bodyPromise.then(function(body) {
      // new Response() is happy when passed either a stream or a Blob.
      return new Response(body, {
        headers: originalResponse.headers,
        status: originalResponse.status,
        statusText: originalResponse.statusText
      });
    });
  };

var createCacheKey = function (originalUrl, paramName, paramValue,
                           dontCacheBustUrlsMatching) {
    // Create a new URL object to avoid modifying originalUrl.
    var url = new URL(originalUrl);

    // If dontCacheBustUrlsMatching is not set, or if we don't have a match,
    // then add in the extra cache-busting URL parameter.
    if (!dontCacheBustUrlsMatching ||
        !(url.pathname.match(dontCacheBustUrlsMatching))) {
      url.search += (url.search ? '&' : '') +
        encodeURIComponent(paramName) + '=' + encodeURIComponent(paramValue);
    }

    return url.toString();
  };

var isPathWhitelisted = function (whitelist, absoluteUrlString) {
    // If the whitelist is empty, then consider all URLs to be whitelisted.
    if (whitelist.length === 0) {
      return true;
    }

    // Otherwise compare each path regex to the path of the URL passed in.
    var path = (new URL(absoluteUrlString)).pathname;
    return whitelist.some(function(whitelistedPathRegex) {
      return path.match(whitelistedPathRegex);
    });
  };

var stripIgnoredUrlParameters = function (originalUrl,
    ignoreUrlParametersMatching) {
    var url = new URL(originalUrl);
    // Remove the hash; see https://github.com/GoogleChrome/sw-precache/issues/290
    url.hash = '';

    url.search = url.search.slice(1) // Exclude initial '?'
      .split('&') // Split into an array of 'key=value' strings
      .map(function(kv) {
        return kv.split('='); // Split each 'key=value' string into a [key, value] array
      })
      .filter(function(kv) {
        return ignoreUrlParametersMatching.every(function(ignoredRegex) {
          return !ignoredRegex.test(kv[0]); // Return true iff the key doesn't match any of the regexes.
        });
      })
      .map(function(kv) {
        return kv.join('='); // Join each [key, value] array into a 'key=value' string
      })
      .join('&'); // Join the array of 'key=value' strings into a string with '&' in between each

    return url.toString();
  };


var hashParamName = '_sw-precache';
var urlsToCacheKeys = new Map(
  precacheConfig.map(function(item) {
    var relativeUrl = item[0];
    var hash = item[1];
    var absoluteUrl = new URL(relativeUrl, self.location);
    var cacheKey = createCacheKey(absoluteUrl, hashParamName, hash, false);
    return [absoluteUrl.toString(), cacheKey];
  })
);

function setOfCachedUrls(cache) {
  return cache.keys().then(function(requests) {
    return requests.map(function(request) {
      return request.url;
    });
  }).then(function(urls) {
    return new Set(urls);
  });
}

self.addEventListener('install', function(event) {
  event.waitUntil(
    caches.open(cacheName).then(function(cache) {
      return setOfCachedUrls(cache).then(function(cachedUrls) {
        return Promise.all(
          Array.from(urlsToCacheKeys.values()).map(function(cacheKey) {
            // If we don't have a key matching url in the cache already, add it.
            if (!cachedUrls.has(cacheKey)) {
              var request = new Request(cacheKey, {credentials: 'same-origin'});
              return fetch(request).then(function(response) {
                // Bail out of installation unless we get back a 200 OK for
                // every request.
                if (!response.ok) {
                  throw new Error('Request for ' + cacheKey + ' returned a ' +
                    'response with status ' + response.status);
                }

                return cleanResponse(response).then(function(responseToCache) {
                  return cache.put(cacheKey, responseToCache);
                });
              });
            }
          })
        );
      });
    }).then(function() {
      
      // Force the SW to transition from installing -> active state
      return self.skipWaiting();
      
    })
  );
});

self.addEventListener('activate', function(event) {
  var setOfExpectedUrls = new Set(urlsToCacheKeys.values());

  event.waitUntil(
    caches.open(cacheName).then(function(cache) {
      return cache.keys().then(function(existingRequests) {
        return Promise.all(
          existingRequests.map(function(existingRequest) {
            if (!setOfExpectedUrls.has(existingRequest.url)) {
              return cache.delete(existingRequest);
            }
          })
        );
      });
    }).then(function() {
      
      return self.clients.claim();
      
    })
  );
});


self.addEventListener('fetch', function(event) {
  if (event.request.method === 'GET') {
    // Should we call event.respondWith() inside this fetch event handler?
    // This needs to be determined synchronously, which will give other fetch
    // handlers a chance to handle the request if need be.
    var shouldRespond;

    // First, remove all the ignored parameters and hash fragment, and see if we
    // have that URL in our cache. If so, great! shouldRespond will be true.
    var url = stripIgnoredUrlParameters(event.request.url, ignoreUrlParametersMatching);
    shouldRespond = urlsToCacheKeys.has(url);

    // If shouldRespond is false, check again, this time with 'index.html'
    // (or whatever the directoryIndex option is set to) at the end.
    var directoryIndex = 'index.html';
    if (!shouldRespond && directoryIndex) {
      url = addDirectoryIndex(url, directoryIndex);
      shouldRespond = urlsToCacheKeys.has(url);
    }

    // If shouldRespond is still false, check to see if this is a navigation
    // request, and if so, whether the URL matches navigateFallbackWhitelist.
    var navigateFallback = '';
    if (!shouldRespond &&
        navigateFallback &&
        (event.request.mode === 'navigate') &&
        isPathWhitelisted([], event.request.url)) {
      url = new URL(navigateFallback, self.location).toString();
      shouldRespond = urlsToCacheKeys.has(url);
    }

    // If shouldRespond was set to true at any point, then call
    // event.respondWith(), using the appropriate cache key.
    if (shouldRespond) {
      event.respondWith(
        caches.open(cacheName).then(function(cache) {
          return cache.match(urlsToCacheKeys.get(url)).then(function(response) {
            if (response) {
              return response;
            }
            throw Error('The cached response that was expected is missing.');
          });
        }).catch(function(e) {
          // Fall back to just fetch()ing the request if some unexpected error
          // prevented the cached response from being valid.
          console.warn('Couldn\'t serve response for "%s" from cache: %O', event.request.url, e);
          return fetch(event.request);
        })
      );
    }
  }
});


// *** Start of auto-included sw-toolbox code. ***
/* 
 Copyright 2016 Google Inc. All Rights Reserved.

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
*/!function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define&&define.amd)define([],e);else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:this,t.toolbox=e()}}(function(){return function e(t,n,r){function o(c,s){if(!n[c]){if(!t[c]){var a="function"==typeof require&&require;if(!s&&a)return a(c,!0);if(i)return i(c,!0);var u=new Error("Cannot find module '"+c+"'");throw u.code="MODULE_NOT_FOUND",u}var f=n[c]={exports:{}};t[c][0].call(f.exports,function(e){var n=t[c][1][e];return o(n?n:e)},f,f.exports,e,t,n,r)}return n[c].exports}for(var i="function"==typeof require&&require,c=0;c<r.length;c++)o(r[c]);return o}({1:[function(e,t,n){"use strict";function r(e,t){t=t||{};var n=t.debug||m.debug;n&&console.log("[sw-toolbox] "+e)}function o(e){var t;return e&&e.cache&&(t=e.cache.name),t=t||m.cache.name,caches.open(t)}function i(e,t){t=t||{};var n=t.successResponses||m.successResponses;return fetch(e.clone()).then(function(r){return"GET"===e.method&&n.test(r.status)&&o(t).then(function(n){n.put(e,r).then(function(){var r=t.cache||m.cache;(r.maxEntries||r.maxAgeSeconds)&&r.name&&c(e,n,r)})}),r.clone()})}function c(e,t,n){var r=s.bind(null,e,t,n);d=d?d.then(r):r()}function s(e,t,n){var o=e.url,i=n.maxAgeSeconds,c=n.maxEntries,s=n.name,a=Date.now();return r("Updating LRU order for "+o+". Max entries is "+c+", max age is "+i),g.getDb(s).then(function(e){return g.setTimestampForUrl(e,o,a)}).then(function(e){return g.expireEntries(e,c,i,a)}).then(function(e){r("Successfully updated IDB.");var n=e.map(function(e){return t.delete(e)});return Promise.all(n).then(function(){r("Done with cache cleanup.")})}).catch(function(e){r(e)})}function a(e,t,n){return r("Renaming cache: ["+e+"] to ["+t+"]",n),caches.delete(t).then(function(){return Promise.all([caches.open(e),caches.open(t)]).then(function(t){var n=t[0],r=t[1];return n.keys().then(function(e){return Promise.all(e.map(function(e){return n.match(e).then(function(t){return r.put(e,t)})}))}).then(function(){return caches.delete(e)})})})}function u(e,t){return o(t).then(function(t){return t.add(e)})}function f(e,t){return o(t).then(function(t){return t.delete(e)})}function h(e){e instanceof Promise||p(e),m.preCacheItems=m.preCacheItems.concat(e)}function p(e){var t=Array.isArray(e);if(t&&e.forEach(function(e){"string"==typeof e||e instanceof Request||(t=!1)}),!t)throw new TypeError("The precache method expects either an array of strings and/or Requests or a Promise that resolves to an array of strings and/or Requests.");return e}function l(e,t,n){if(!e)return!1;if(t){var r=e.headers.get("date");if(r){var o=new Date(r);if(o.getTime()+1e3*t<n)return!1}}return!0}var d,m=e("./options"),g=e("./idb-cache-expiration");t.exports={debug:r,fetchAndCache:i,openCache:o,renameCache:a,cache:u,uncache:f,precache:h,validatePrecacheInput:p,isResponseFresh:l}},{"./idb-cache-expiration":2,"./options":4}],2:[function(e,t,n){"use strict";function r(e){return new Promise(function(t,n){var r=indexedDB.open(u+e,f);r.onupgradeneeded=function(){var e=r.result.createObjectStore(h,{keyPath:p});e.createIndex(l,l,{unique:!1})},r.onsuccess=function(){t(r.result)},r.onerror=function(){n(r.error)}})}function o(e){return e in d||(d[e]=r(e)),d[e]}function i(e,t,n){return new Promise(function(r,o){var i=e.transaction(h,"readwrite"),c=i.objectStore(h);c.put({url:t,timestamp:n}),i.oncomplete=function(){r(e)},i.onabort=function(){o(i.error)}})}function c(e,t,n){return t?new Promise(function(r,o){var i=1e3*t,c=[],s=e.transaction(h,"readwrite"),a=s.objectStore(h),u=a.index(l);u.openCursor().onsuccess=function(e){var t=e.target.result;if(t&&n-i>t.value[l]){var r=t.value[p];c.push(r),a.delete(r),t.continue()}},s.oncomplete=function(){r(c)},s.onabort=o}):Promise.resolve([])}function s(e,t){return t?new Promise(function(n,r){var o=[],i=e.transaction(h,"readwrite"),c=i.objectStore(h),s=c.index(l),a=s.count();s.count().onsuccess=function(){var e=a.result;e>t&&(s.openCursor().onsuccess=function(n){var r=n.target.result;if(r){var i=r.value[p];o.push(i),c.delete(i),e-o.length>t&&r.continue()}})},i.oncomplete=function(){n(o)},i.onabort=r}):Promise.resolve([])}function a(e,t,n,r){return c(e,n,r).then(function(n){return s(e,t).then(function(e){return n.concat(e)})})}var u="sw-toolbox-",f=1,h="store",p="url",l="timestamp",d={};t.exports={getDb:o,setTimestampForUrl:i,expireEntries:a}},{}],3:[function(e,t,n){"use strict";function r(e){var t=a.match(e.request);t?e.respondWith(t(e.request)):a.default&&"GET"===e.request.method&&0===e.request.url.indexOf("http")&&e.respondWith(a.default(e.request))}function o(e){s.debug("activate event fired");var t=u.cache.name+"$$$inactive$$$";e.waitUntil(s.renameCache(t,u.cache.name))}function i(e){return e.reduce(function(e,t){return e.concat(t)},[])}function c(e){var t=u.cache.name+"$$$inactive$$$";s.debug("install event fired"),s.debug("creating cache ["+t+"]"),e.waitUntil(s.openCache({cache:{name:t}}).then(function(e){return Promise.all(u.preCacheItems).then(i).then(s.validatePrecacheInput).then(function(t){return s.debug("preCache list: "+(t.join(", ")||"(none)")),e.addAll(t)})}))}e("serviceworker-cache-polyfill");var s=e("./helpers"),a=e("./router"),u=e("./options");t.exports={fetchListener:r,activateListener:o,installListener:c}},{"./helpers":1,"./options":4,"./router":6,"serviceworker-cache-polyfill":16}],4:[function(e,t,n){"use strict";var r;r=self.registration?self.registration.scope:self.scope||new URL("./",self.location).href,t.exports={cache:{name:"$$$toolbox-cache$$$"+r+"$$$",maxAgeSeconds:null,maxEntries:null},debug:!1,networkTimeoutSeconds:null,preCacheItems:[],successResponses:/^0|([123]\d\d)|(40[14567])|410$/}},{}],5:[function(e,t,n){"use strict";var r=new URL("./",self.location),o=r.pathname,i=e("path-to-regexp"),c=function(e,t,n,r){t instanceof RegExp?this.fullUrlRegExp=t:(0!==t.indexOf("/")&&(t=o+t),this.keys=[],this.regexp=i(t,this.keys)),this.method=e,this.options=r,this.handler=n};c.prototype.makeHandler=function(e){var t;if(this.regexp){var n=this.regexp.exec(e);t={},this.keys.forEach(function(e,r){t[e.name]=n[r+1]})}return function(e){return this.handler(e,t,this.options)}.bind(this)},t.exports=c},{"path-to-regexp":15}],6:[function(e,t,n){"use strict";function r(e){return e.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}var o=e("./route"),i=e("./helpers"),c=function(e,t){for(var n=e.entries(),r=n.next(),o=[];!r.done;){var i=new RegExp(r.value[0]);i.test(t)&&o.push(r.value[1]),r=n.next()}return o},s=function(){this.routes=new Map,this.routes.set(RegExp,new Map),this.default=null};["get","post","put","delete","head","any"].forEach(function(e){s.prototype[e]=function(t,n,r){return this.add(e,t,n,r)}}),s.prototype.add=function(e,t,n,c){c=c||{};var s;t instanceof RegExp?s=RegExp:(s=c.origin||self.location.origin,s=s instanceof RegExp?s.source:r(s)),e=e.toLowerCase();var a=new o(e,t,n,c);this.routes.has(s)||this.routes.set(s,new Map);var u=this.routes.get(s);u.has(e)||u.set(e,new Map);var f=u.get(e),h=a.regexp||a.fullUrlRegExp;f.has(h.source)&&i.debug('"'+t+'" resolves to same regex as existing route.'),f.set(h.source,a)},s.prototype.matchMethod=function(e,t){var n=new URL(t),r=n.origin,o=n.pathname;return this._match(e,c(this.routes,r),o)||this._match(e,[this.routes.get(RegExp)],t)},s.prototype._match=function(e,t,n){if(0===t.length)return null;for(var r=0;r<t.length;r++){var o=t[r],i=o&&o.get(e.toLowerCase());if(i){var s=c(i,n);if(s.length>0)return s[0].makeHandler(n)}}return null},s.prototype.match=function(e){return this.matchMethod(e.method,e.url)||this.matchMethod("any",e.url)},t.exports=new s},{"./helpers":1,"./route":5}],7:[function(e,t,n){"use strict";function r(e,t,n){return n=n||{},i.debug("Strategy: cache first ["+e.url+"]",n),i.openCache(n).then(function(t){return t.match(e).then(function(t){var r=n.cache||o.cache,c=Date.now();return i.isResponseFresh(t,r.maxAgeSeconds,c)?t:i.fetchAndCache(e,n)})})}var o=e("../options"),i=e("../helpers");t.exports=r},{"../helpers":1,"../options":4}],8:[function(e,t,n){"use strict";function r(e,t,n){return n=n||{},i.debug("Strategy: cache only ["+e.url+"]",n),i.openCache(n).then(function(t){return t.match(e).then(function(e){var t=n.cache||o.cache,r=Date.now();if(i.isResponseFresh(e,t.maxAgeSeconds,r))return e})})}var o=e("../options"),i=e("../helpers");t.exports=r},{"../helpers":1,"../options":4}],9:[function(e,t,n){"use strict";function r(e,t,n){return o.debug("Strategy: fastest ["+e.url+"]",n),new Promise(function(r,c){var s=!1,a=[],u=function(e){a.push(e.toString()),s?c(new Error('Both cache and network failed: "'+a.join('", "')+'"')):s=!0},f=function(e){e instanceof Response?r(e):u("No result returned")};o.fetchAndCache(e.clone(),n).then(f,u),i(e,t,n).then(f,u)})}var o=e("../helpers"),i=e("./cacheOnly");t.exports=r},{"../helpers":1,"./cacheOnly":8}],10:[function(e,t,n){t.exports={networkOnly:e("./networkOnly"),networkFirst:e("./networkFirst"),cacheOnly:e("./cacheOnly"),cacheFirst:e("./cacheFirst"),fastest:e("./fastest")}},{"./cacheFirst":7,"./cacheOnly":8,"./fastest":9,"./networkFirst":11,"./networkOnly":12}],11:[function(e,t,n){"use strict";function r(e,t,n){n=n||{};var r=n.successResponses||o.successResponses,c=n.networkTimeoutSeconds||o.networkTimeoutSeconds;return i.debug("Strategy: network first ["+e.url+"]",n),i.openCache(n).then(function(t){var s,a,u=[];if(c){var f=new Promise(function(r){s=setTimeout(function(){t.match(e).then(function(e){var t=n.cache||o.cache,c=Date.now(),s=t.maxAgeSeconds;i.isResponseFresh(e,s,c)&&r(e)})},1e3*c)});u.push(f)}var h=i.fetchAndCache(e,n).then(function(e){if(s&&clearTimeout(s),r.test(e.status))return e;throw i.debug("Response was an HTTP error: "+e.statusText,n),a=e,new Error("Bad response")}).catch(function(r){return i.debug("Network or response error, fallback to cache ["+e.url+"]",n),t.match(e).then(function(e){if(e)return e;if(a)return a;throw r})});return u.push(h),Promise.race(u)})}var o=e("../options"),i=e("../helpers");t.exports=r},{"../helpers":1,"../options":4}],12:[function(e,t,n){"use strict";function r(e,t,n){return o.debug("Strategy: network only ["+e.url+"]",n),fetch(e)}var o=e("../helpers");t.exports=r},{"../helpers":1}],13:[function(e,t,n){"use strict";var r=e("./options"),o=e("./router"),i=e("./helpers"),c=e("./strategies"),s=e("./listeners");i.debug("Service Worker Toolbox is loading"),self.addEventListener("install",s.installListener),self.addEventListener("activate",s.activateListener),self.addEventListener("fetch",s.fetchListener),t.exports={networkOnly:c.networkOnly,networkFirst:c.networkFirst,cacheOnly:c.cacheOnly,cacheFirst:c.cacheFirst,fastest:c.fastest,router:o,options:r,cache:i.cache,uncache:i.uncache,precache:i.precache}},{"./helpers":1,"./listeners":3,"./options":4,"./router":6,"./strategies":10}],14:[function(e,t,n){t.exports=Array.isArray||function(e){return"[object Array]"==Object.prototype.toString.call(e)}},{}],15:[function(e,t,n){function r(e,t){for(var n,r=[],o=0,i=0,c="",s=t&&t.delimiter||"/";null!=(n=x.exec(e));){var f=n[0],h=n[1],p=n.index;if(c+=e.slice(i,p),i=p+f.length,h)c+=h[1];else{var l=e[i],d=n[2],m=n[3],g=n[4],v=n[5],w=n[6],y=n[7];c&&(r.push(c),c="");var b=null!=d&&null!=l&&l!==d,E="+"===w||"*"===w,R="?"===w||"*"===w,k=n[2]||s,$=g||v;r.push({name:m||o++,prefix:d||"",delimiter:k,optional:R,repeat:E,partial:b,asterisk:!!y,pattern:$?u($):y?".*":"[^"+a(k)+"]+?"})}}return i<e.length&&(c+=e.substr(i)),c&&r.push(c),r}function o(e,t){return s(r(e,t))}function i(e){return encodeURI(e).replace(/[\/?#]/g,function(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()})}function c(e){return encodeURI(e).replace(/[?#]/g,function(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()})}function s(e){for(var t=new Array(e.length),n=0;n<e.length;n++)"object"==typeof e[n]&&(t[n]=new RegExp("^(?:"+e[n].pattern+")$"));return function(n,r){for(var o="",s=n||{},a=r||{},u=a.pretty?i:encodeURIComponent,f=0;f<e.length;f++){var h=e[f];if("string"!=typeof h){var p,l=s[h.name];if(null==l){if(h.optional){h.partial&&(o+=h.prefix);continue}throw new TypeError('Expected "'+h.name+'" to be defined')}if(v(l)){if(!h.repeat)throw new TypeError('Expected "'+h.name+'" to not repeat, but received `'+JSON.stringify(l)+"`");if(0===l.length){if(h.optional)continue;throw new TypeError('Expected "'+h.name+'" to not be empty')}for(var d=0;d<l.length;d++){if(p=u(l[d]),!t[f].test(p))throw new TypeError('Expected all "'+h.name+'" to match "'+h.pattern+'", but received `'+JSON.stringify(p)+"`");o+=(0===d?h.prefix:h.delimiter)+p}}else{if(p=h.asterisk?c(l):u(l),!t[f].test(p))throw new TypeError('Expected "'+h.name+'" to match "'+h.pattern+'", but received "'+p+'"');o+=h.prefix+p}}else o+=h}return o}}function a(e){return e.replace(/([.+*?=^!:${}()[\]|\/\\])/g,"\\$1")}function u(e){return e.replace(/([=!:$\/()])/g,"\\$1")}function f(e,t){return e.keys=t,e}function h(e){return e.sensitive?"":"i"}function p(e,t){var n=e.source.match(/\((?!\?)/g);if(n)for(var r=0;r<n.length;r++)t.push({name:r,prefix:null,delimiter:null,optional:!1,repeat:!1,partial:!1,asterisk:!1,pattern:null});return f(e,t)}function l(e,t,n){for(var r=[],o=0;o<e.length;o++)r.push(g(e[o],t,n).source);var i=new RegExp("(?:"+r.join("|")+")",h(n));return f(i,t)}function d(e,t,n){return m(r(e,n),t,n)}function m(e,t,n){v(t)||(n=t||n,t=[]),n=n||{};for(var r=n.strict,o=n.end!==!1,i="",c=0;c<e.length;c++){var s=e[c];if("string"==typeof s)i+=a(s);else{var u=a(s.prefix),p="(?:"+s.pattern+")";t.push(s),s.repeat&&(p+="(?:"+u+p+")*"),p=s.optional?s.partial?u+"("+p+")?":"(?:"+u+"("+p+"))?":u+"("+p+")",i+=p}}var l=a(n.delimiter||"/"),d=i.slice(-l.length)===l;return r||(i=(d?i.slice(0,-l.length):i)+"(?:"+l+"(?=$))?"),i+=o?"$":r&&d?"":"(?="+l+"|$)",f(new RegExp("^"+i,h(n)),t)}function g(e,t,n){return v(t)||(n=t||n,t=[]),n=n||{},e instanceof RegExp?p(e,t):v(e)?l(e,t,n):d(e,t,n)}var v=e("isarray");t.exports=g,t.exports.parse=r,t.exports.compile=o,t.exports.tokensToFunction=s,t.exports.tokensToRegExp=m;var x=new RegExp(["(\\\\.)","([\\/.])?(?:(?:\\:(\\w+)(?:\\(((?:\\\\.|[^\\\\()])+)\\))?|\\(((?:\\\\.|[^\\\\()])+)\\))([+*?])?|(\\*))"].join("|"),"g")},{isarray:14}],16:[function(e,t,n){!function(){var e=Cache.prototype.addAll,t=navigator.userAgent.match(/(Firefox|Chrome)\/(\d+\.)/);if(t)var n=t[1],r=parseInt(t[2]);e&&(!t||"Firefox"===n&&r>=46||"Chrome"===n&&r>=50)||(Cache.prototype.addAll=function(e){function t(e){this.name="NetworkError",this.code=19,this.message=e}var n=this;return t.prototype=Object.create(Error.prototype),Promise.resolve().then(function(){if(arguments.length<1)throw new TypeError;return e=e.map(function(e){return e instanceof Request?e:String(e)}),Promise.all(e.map(function(e){"string"==typeof e&&(e=new Request(e));var n=new URL(e.url).protocol;if("http:"!==n&&"https:"!==n)throw new t("Invalid scheme");return fetch(e.clone())}))}).then(function(r){if(r.some(function(e){return!e.ok}))throw new t("Incorrect response status");return Promise.all(r.map(function(t,r){return n.put(e[r],t)}))}).then(function(){})},Cache.prototype.add=function(e){return this.addAll([e])})}()},{}]},{},[13])(13)});


// *** End of auto-included sw-toolbox code. ***



// Runtime cache configuration, using the sw-toolbox library.

toolbox.router.get(/\/config\/config\.js(.*)$/, toolbox.networkFirst, {});




